#include <U8g2lib.h>
#include <Wire.h>

// Initialize the display with I2C communication
// U8G2_SSD1306_128X64_NONAME_F_HW_I2C means hardware I2C with 128x64 OLED display
U8G2_SSD1306_128X64_NONAME_F_HW_I2C u8g2(U8G2_R0, U8X8_PIN_NONE, D2, D1);  // D2 for SDA, D1 for SCL

void setup() {
  // Initialize the display
  u8g2.begin();
}

void loop() {
  // Clear the display buffer
  u8g2.clearBuffer();
  
  // Set drawing color (1 means solid)
  u8g2.setDrawColor(1);
  
  // Draw a solid rectangle at position (10, 10) with width 50 and height 30
  u8g2.drawBox(10, 10, 50, 30);
  
  // Send the buffer to the display
  u8g2.sendBuffer();
  
  // Delay to allow the user to see the rectangle
  delay(2000); // Wait for 2 seconds
}
